/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.name.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.name.management.data
 *  NAME    : NameRuleSerial.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class NameRuleSerial extends FieldAccessor implements DataInfo<NameRuleSerialKey>
{
	private NameRuleSerialKey	key;
	private String					lastSerialNo;

	public NameRuleSerialKey getKey()
	{
		return key;
	}

	public void setKey(NameRuleSerialKey key)
	{
		this.key = key;
	}

	public String getLastSerialNo()
	{
		return lastSerialNo;
	}

	public void setLastSerialNo(String lastSerialNo)
	{
		this.lastSerialNo = lastSerialNo;
	}

}
