/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserMenu.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class UserMenu extends FieldAccessor implements DataInfo<UserMenuKey>
{
	private UserMenuKey	key;
	private String				accessFlag;

	public UserMenuKey getKey()
	{
		return key;
	}

	public void setKey(UserMenuKey key)
	{
		this.key = key;
	}

	public String getAccessFlag()
	{
		return accessFlag;
	}

	public void setAccessFlag(String accessFlag)
	{
		this.accessFlag = accessFlag;
	}

	@Override
	public String toString()
	{
		StringBuilder builder = new StringBuilder();
		builder.append("{Key=");
		builder.append(key.toString());
		builder.append(", AccessFlag=");
		builder.append(accessFlag);
		builder.append("}");
		return builder.toString();
	}

}
