/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */
package com.cim.idm.solution.service.management;

import com.cim.idm.framework.data.EventInfo;
import com.cim.idm.framework.exception.IDMFrameDBErrorSignal;
import java.util.List;
import com.cim.idm.solution.service.management.data.Label;

/**
 * @Class management.com.zi.wms.solution.service.LabelService<br/>
 * @Description LabelService.
 * @author ZXYGY17
 * @Time 2025-01-21 15:41:24
 */
public interface LabelService {

	public List<Label> select(String condition, Object[] bindSet) throws IDMFrameDBErrorSignal;

	public Label selectByKey(boolean isLock, Object[] keySet) throws IDMFrameDBErrorSignal;

	public Label create(EventInfo eventInfo, Label dataInfo) throws IDMFrameDBErrorSignal;

	public void remove(EventInfo eventInfo, Label dataInfo) throws IDMFrameDBErrorSignal;

	public Label modify(EventInfo eventInfo, Label dataInfo) throws IDMFrameDBErrorSignal;

}
