package com.cim.idm.dao;

import com.cim.idm.model.dto.packing.MaterialPackingListDto;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Mapper
public interface MaterialPackingDao {

    /**
     * 散列盘点存储过程调用
     * @param dto dto
     * @return 物料信息
     */
    @MapKey("dto")
    List<Map<String, Object>> getMaterialPacking(@Param("dto") MaterialPackingListDto dto);
}
