package com.cim.idm.model;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
public class BSLabelHistory extends FieldAccessor implements HistoryDataInfo<BSLabelHistoryKey>{
	private BSLabelHistoryKey key;
	
	private String labelType;
	private String labelGroup;
	private String labelDrive;
	private String labelName;
	private String labelAddress;
	private String description;
	private String server;
	private String createUser;
	private Timestamp createTime;
	private String eventUser;
	private String eventName;
	private String eventComment;
	private Timestamp eventTime;
}
