package com.cim.idm.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

@Data
@NoArgsConstructor
public class LabelDto {
	private String labelId;
	private String labelType;
	private String labelGroup;
	private String labelDrive;
	private String labelName;
	private String labelAddress;
	private String description;
	private String server;
	private String user;

	// commit action type. Create | Modify | Delete
	private String actionType;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	//@Schema(description = "生效时间")
	private Timestamp effectiveDate;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	//@Schema(description = "失效时间")
	private Timestamp dueDate;

}
