package com.cim.idm.model;

import lombok.Data;

/**
 * @author 10486880
 * @version 1.0
 * @description LabelParameterDto
 * @date 2024/4/19 10:45
 */
@Data
public class LabelPrintInfoDto {


    //@Schema(description = "批次号")
    private String lotName;

    //@Schema(description = "标签类型")
    private String labelType;

    //@Schema(description = "打印次数", example = "1")
    private String printQuantity;

    //@Schema(description = "打印类型")
    private String printType;

    //@Schema(description = "来源单号")
    private String sourceOrder;

    //@Schema(description = "物料编码")
    private String materialCode;

    //@Schema(description = "阶段编码")
    private String stageCode;

    //@Schema(description = "生产厂")
    private String workPlant;

    //@Schema(description = "车间")
    private String workShop;

    //@Schema(description = "班次")
    private String workShift;

    //@Schema(description = "机台")
    private String machine;

    //@Schema(description = "卷号")
    private String volNumber;

    //@Schema(description = "供应商编码")
    private String supCode;

    //@Schema(description = "客户编码")
    private String customerCode;

    //@Schema(description = "品名")
    private String materialName;

    //@Schema(description = "规格型号")
    private String specifications;

    //@Schema(description = "SDK规格")
    private String sdkSpecifications;

    //@Schema(description = "批号")
    private String batch;

    //@Schema(description = "母卷批号")
    private String jumboRollBatch;

    //@Schema(description = "批号日期")
    private String batchDate;

    //@Schema(description = "显示日期")
    private String printBatchDate;

    //@Schema(description = "失效日期")
    private String expiryDate;

    //@Schema(description = "主单位")
    private String mainUom;

    //@Schema(description = "主数量")
    private String mainQty;

    //@Schema(description = "辅单位")
    private String assistUom;

    //@Schema(description = "辅数量")
    private String assistQty;

    //@Schema(description = "实际规格")
    private String practicalSpec;

    //@Schema(description = "操作员")
    private String operator;

    //@Schema(description = "业务员")
    private String salesman;

    //@Schema(description = "备注")
    private String remarks;

    //@Schema(description = "生产日期")
    private String productDate;

    //@Schema(description = "支数")
    private String piece;

    // DefineItems 从 1 到 23，保持一致的注释
    //@Schema(description = "自定义项1")
    private String defineItem1;


    //@Schema(description = "自定义项2")
    private String defineItem2;

    //@Schema(description = "自定义项3")
    private String defineItem3;

    //@Schema(description = "自定义项4")
    private String defineItem4;

    //@Schema(description = "自定义项5")
    private String defineItem5;

    //@Schema(description = "自定义项6")
    private String defineItem6;

    //@Schema(description = "自定义项7")
    private String defineItem7;

    //@Schema(description = "自定义项8")
    private String defineItem8;

    //@Schema(description = "自定义项9")
    private String defineItem9;

    //@Schema(description = "自定义项10")
    private String defineItem10;

    //@Schema(description = "自定义项11")
    private String defineItem11;

    //@Schema(description = "自定义项12")
    private String defineItem12;

    //@Schema(description = "自定义项13")
    private String defineItem13;

    //@Schema(description = "自定义项14")
    private String defineItem14;

    //@Schema(description = "自定义项15")
    private String defineItem15;

    //@Schema(description = "自定义项16")
    private String defineItem16;

    //@Schema(description = "自定义项17")
    private String defineItem17;

    //@Schema(description = "自定义项18")
    private String defineItem18;

    //@Schema(description = "自定义项19")
    private String defineItem19;

    //@Schema(description = "自定义项20")
    private String defineItem20;

    //@Schema(description = "自定义项21")
    private String defineItem21;

    //@Schema(description = "自定义项22")
    private String defineItem22;

    //@Schema(description = "自定义项23")
    private String defineItem23;


    //@Schema(description = "入库单号")
    private String whCode;

    //@Schema(description = "制造序号")
    private String muSeq;

    //@Schema(description = "柜号")
    private String containerNo;

    //@Schema(description = "PI号")
    private String pINo;

    //@Schema(description = "工位（客户）")
    private String station;

    //@Schema(description = "钢芯号", example = "SC-001")
    private String steelCoreNo;

    //@Schema(description = "产品的长度，单位毫米", example = "1500")
    private String length;

    //@Schema(description = "电晕", example = "100")
    private String corona;

    //@Schema(description = "产品的厚度，单位毫米", example = "0.2")
    private String thickness;

    //@Schema(description = "涂布方式")
    private String coating;

    //@Schema(description = "刀次", example = "5")
    private String knifeNum;


    //@Schema(description = "刀位", example = "左侧")
    private String cutArea;

    //@Schema(description = "等级", example = "A级")
    private String lotGrade;

    //@Schema(description = "温度", example = "25")
    private String temperature;

    //@Schema(description = "湿度", example = "50%")
    private String humidity; // 注意变量名更正为humidity以匹配常见拼写

    //@Schema(description = "二维码")
    private String qrCode;


    //@Schema(description = "操作人",required = true)
    private String userName;

    //@Schema(description = "单据号",required = true)
    private String productRequestName;


}
