package com.cim.idm.service;


import com.cim.idm.exception.GlobalException;
import com.cim.idm.model.OutStockDto;

import java.util.Map;

public interface IMaterialShipService {
	
	/**
	 * 出库方法
	 * @param outStockDto
	 * @return
	 * @throws Throwable
	 */
	Map<String, Object> outStock(OutStockDto outStockDto) throws Throwable;
	
	/**
	 * 取消出库方法
	 * @param outStockDto
	 * @return
	 * @throws Throwable
	 */
	Map<String, Object> cancle(OutStockDto outStockDto) throws Throwable;

	
	/**
	 * 出库前校验
	 * @param outStockDto
	 */
	String outStockCheck(OutStockDto outStockDto) throws GlobalException;

}
