package com.cim.idm.service;

import com.cim.idm.exception.GlobalException;
import com.cim.idm.wmspackage.materialpacking.management.data.MaterialPacking;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface MoveInService {

	/**
	 * 调拨入库绑定条码
	 * @param materialPackingName
	 * @return
	 */
	public boolean BindBarCodeToMoveIn (String materialPackingName,String charge,String materialspecName,String user,
			String shipRequestName,String shipRequestDetailName,String locationName) throws Exception;


	@Transactional
	boolean BindBarCodeToMoveIn2(List<MaterialPacking> boxList, String materialPackingName, String user,
								 String shipRequestName, String shipRequestDetailName, String locationName) throws GlobalException;

	/**
	 * 调拨入库提交
	 * @param shipRequestName
	 * @param user
	 * @param commitDate
	 * @param opCode
	 * @return
	 * @throws Exception
	 */
	public boolean CommitMoveInInvoice (
			String shipRequestName,String user,String commitDate,String opCode) throws Exception;
}
