package com.cim.idm.wmspackage.productshiprequest.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ProductShipRequestHistory extends FieldAccessor implements
		HistoryDataInfo<ProductShipRequestHistoryKey> {

	private ProductShipRequestHistoryKey key;
	
	private String shipRequestState; //A shiprequest state. [ Created | Reserved | Confirmed | Completed ]
	private String oldShipRequestState; //A old shiprequest state.
	private String shipRequestType; //A invoice type. [ NP (Normal Product) / RT / ETC ]
	private String shipRequestDetailType; //A invoice detail type.
	private String customerNo; //A customner name.
	//private String shipRequestType; //A ship request type. [ Reserve | Delivery ]
	private String deliveryType; //zl add,A ship request type. [ Reserve | Delivery ]
	private Timestamp shipPlanDate; //A ship plan date.

	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	
	@Override
	public ProductShipRequestHistoryKey getKey() {
		return key;
	}

	@Override
	public void setKey(ProductShipRequestHistoryKey key) {
		this.key = key;
	}

}
