package com.cim.idm.dao;

import com.cim.idm.model.MaterialPackingSubDto;
import com.cim.idm.wmspackage.materialpacking.management.data.MaterialPacking;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Mapper
public interface MesToWmsDao {

    public List<MaterialPackingSubDto> getEndReportList(@Param("materialPackingName") String materialPackingName) throws Exception;

    public void updateEndReport(@Param("receiveRequestName") String receiveRequestName,@Param("receiveRequestDetailName") String receiveRequestDetailName,@Param("materialPackingName") String materialPackingName) throws Exception;

    public void updateEndReport2(@Param("receiveRequestName") String receiveRequestName,@Param("receiveRequestDetailName") String receiveRequestDetailName,@Param("materialPackingName") String materialPackingName) throws Exception;

    public void deleteSub(@Param("receiveRequestName") String receiveRequestName,@Param("receiveRequestDetailName") String receiveRequestDetailName,@Param("materialPackingName") String materialPackingName) throws Exception;

    public void updateBsMesShipped(@Param("materialPackingName") String materialPackingName) throws Exception;

    public void updateUnDoId(@Param("undoId") String undoId) throws Exception;
}
