package com.cim.idm.model;

import com.cim.idm.framework.orm.info.access.FieldAccessor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;
/**
 * @Class com.zisemi.mes.solution.service.management.data.LabelPrintInfo<br/>
 * @Description LabelPrintInfo
 * @author 10781388
 * @Time 2024-04-29 10:14:12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
public class LabelPrintInfo extends FieldAccessor{


	/**
	 * 批次号
	 */
	//@ORMTemplate(seq = "1", name = "lotName", type = "Key", dataType = "String", initial = "", history = "")
	private String lotName;

	/**
	 * 标签类型
	 */
	//@ORMTemplate(seq = "2", name = "labelType", type = "Column", dataType = "String", initial = "", history = "")
	private String labelType;

	/**
	 * 打印次数
	 */
	//@ORMTemplate(seq = "3", name = "printQuantity", type = "Column", dataType = "String", initial = "", history = "")
	private String printQuantity;

	/**
	 * 打印类型
	 */
	//@ORMTemplate(seq = "4", name = "printType", type = "Column", dataType = "String", initial = "", history = "")
	private String printType;

	/**
	 * 来源单号
	 */
	//@ORMTemplate(seq = "5", name = "sourceOrder", type = "Column", dataType = "String", initial = "", history = "")
	private String sourceOrder;

	/**
	 * 物料编码
	 */
	//@ORMTemplate(seq = "6", name = "materialCode", type = "Column", dataType = "String", initial = "", history = "")
	private String materialCode;

	/**
	 * 阶段编码
	 */
	//@ORMTemplate(seq = "7", name = "stageCode", type = "Column", dataType = "String", initial = "", history = "")
	private String stageCode;

	/**
	 * 生产厂
	 */
	//@ORMTemplate(seq = "8", name = "workPlant", type = "Column", dataType = "String", initial = "", history = "")
	private String workPlant;

	/**
	 * 车间
	 */
	//@ORMTemplate(seq = "9", name = "workShop", type = "Column", dataType = "String", initial = "", history = "")
	private String workShop;

	/**
	 * 班次
	 */
	//@ORMTemplate(seq = "10", name = "workShift", type = "Column", dataType = "String", initial = "", history = "")
	private String workShift;

	/**
	 * 机台
	 */
	//@ORMTemplate(seq = "11", name = "machine", type = "Column", dataType = "String", initial = "", history = "")
	private String machine;

	/**
	 * 卷号
	 */
	//@ORMTemplate(seq = "12", name = "volNumber", type = "Column", dataType = "String", initial = "", history = "")
	private String volNumber;

	/**
	 * 供应商编码
	 */
	//@ORMTemplate(seq = "13", name = "supCode", type = "Column", dataType = "String", initial = "", history = "")
	private String supCode;

	/**
	 * 客户编码
	 */
	//@ORMTemplate(seq = "14", name = "customerCode", type = "Column", dataType = "String", initial = "", history = "")
	private String customerCode;

	/**
	 * 品名
	 */
	//@ORMTemplate(seq = "15", name = "materialName", type = "Column", dataType = "String", initial = "", history = "")
	private String materialName;

	/**
	 * 规格型号
	 */
	//@ORMTemplate(seq = "16", name = "specifications", type = "Column", dataType = "String", initial = "", history = "")
	private String specifications;

	/**
	 * SDK规格
	 */
	//@ORMTemplate(seq = "17", name = "sdkSpecifications", type = "Column", dataType = "String", initial = "", history = "")
	private String sdkSpecifications;

	/**
	 * 批号
	 */
	//@ORMTemplate(seq = "18", name = "batch", type = "Column", dataType = "String", initial = "", history = "")
	private String batch;

	/**
	 * 母卷批号
	 */
	//@ORMTemplate(seq = "19", name = "jumboRollBatch", type = "Column", dataType = "String", initial = "", history = "")
	private String jumboRollBatch;

	/**
	 * 批号日期
	 */
	//@ORMTemplate(seq = "20", name = "batchDate", type = "Column", dataType = "String", initial = "", history = "")
	private String batchDate;

	/**
	 * 显示日期
	 */
	//@ORMTemplate(seq = "21", name = "printBatchDate", type = "Column", dataType = "String", initial = "", history = "")
	private String printBatchDate;

	/**
	 * 失效日期
	 */
	//@ORMTemplate(seq = "22", name = "expiryDate", type = "Column", dataType = "String", initial = "", history = "")
	private String expiryDate;

	/**
	 * 主单位
	 */
	//@ORMTemplate(seq = "23", name = "mainUom", type = "Column", dataType = "String", initial = "", history = "")
	private String mainUom;

	/**
	 * 主数量
	 */
	//@ORMTemplate(seq = "24", name = "mainQty", type = "Column", dataType = "String", initial = "", history = "")
	private String mainQty;

	/**
	 * 辅单位
	 */
	//@ORMTemplate(seq = "25", name = "assistUom", type = "Column", dataType = "String", initial = "", history = "")
	private String assistUom;

	/**
	 * 辅数量
	 */
	//@ORMTemplate(seq = "26", name = "assistQty", type = "Column", dataType = "String", initial = "", history = "")
	private String assistQty;

	/**
	 * 实际规格
	 */
	//@ORMTemplate(seq = "27", name = "practicalSpec", type = "Column", dataType = "String", initial = "", history = "")
	private String practicalSpec;

	/**
	 * 操作员
	 */
	//@ORMTemplate(seq = "28", name = "operator", type = "Column", dataType = "String", initial = "", history = "")
	private String operator;

	/**
	 * 业务员
	 */
	//@ORMTemplate(seq = "29", name = "salesman", type = "Column", dataType = "String", initial = "", history = "")
	private String salesman;

	/**
	 * 备注
	 */
	//@ORMTemplate(seq = "30", name = "remarks", type = "Column", dataType = "String", initial = "", history = "")
	private String remarks;

	/**
	 * 生产日期
	 */
	//@ORMTemplate(seq = "31", name = "productDate", type = "Column", dataType = "String", initial = "", history = "")
	private String productDate;

	/**
	 * 支数
	 */
	//@ORMTemplate(seq = "32", name = "piece", type = "Column", dataType = "String", initial = "", history = "")
	private String piece;

	/**
	 * DefineItem1
	 */
	//@ORMTemplate(seq = "33", name = "defineItem1", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem1;

	/**
	 * DefineItem2
	 */
	//@ORMTemplate(seq = "34", name = "defineItem2", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem2;

	/**
	 * DefineItem3
	 */
	//@ORMTemplate(seq = "35", name = "defineItem3", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem3;

	/**
	 * DefineItem4
	 */
	//@ORMTemplate(seq = "36", name = "defineItem4", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem4;

	/**
	 * DefineItem5
	 */
	//@ORMTemplate(seq = "37", name = "defineItem5", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem5;

	/**
	 * DefineItem6
	 */
	//@ORMTemplate(seq = "38", name = "defineItem6", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem6;

	/**
	 * DefineItem7
	 */
	//@ORMTemplate(seq = "39", name = "defineItem7", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem7;

	/**
	 * DefineItem8
	 */
	//@ORMTemplate(seq = "40", name = "defineItem8", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem8;

	/**
	 * DefineItem9
	 */
	//@ORMTemplate(seq = "41", name = "defineItem9", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem9;

	/**
	 * DefineItem10
	 */
	//@ORMTemplate(seq = "42", name = "defineItem10", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem10;

	/**
	 * DefineItem11
	 */
	//@ORMTemplate(seq = "43", name = "defineItem11", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem11;

	/**
	 * DefineItem12
	 */
	//@ORMTemplate(seq = "44", name = "defineItem12", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem12;

	/**
	 * DefineItem13
	 */
	//@ORMTemplate(seq = "45", name = "defineItem13", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem13;

	/**
	 * DefineItem14
	 */
	//@ORMTemplate(seq = "46", name = "defineItem14", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem14;

	/**
	 * DefineItem15
	 */
	//@ORMTemplate(seq = "47", name = "defineItem15", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem15;

	/**
	 * DefineItem16
	 */
	//@ORMTemplate(seq = "48", name = "defineItem16", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem16;

	/**
	 * DefineItem17
	 */
	//@ORMTemplate(seq = "49", name = "defineItem17", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem17;

	/**
	 * DefineItem18
	 */
	//@ORMTemplate(seq = "50", name = "defineItem18", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem18;

	/**
	 * DefineItem19
	 */
	//@ORMTemplate(seq = "51", name = "defineItem19", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem19;

	/**
	 * DefineItem20
	 */
	//@ORMTemplate(seq = "52", name = "defineItem20", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem20;

	/**
	 * DefineItem21
	 */
	//@ORMTemplate(seq = "53", name = "defineItem21", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem21;

	/**
	 * DefineItem22
	 */
	//@ORMTemplate(seq = "54", name = "defineItem22", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem22;

	/**
	 * DefineItem23
	 */
	//@ORMTemplate(seq = "55", name = "defineItem23", type = "Column", dataType = "String", initial = "", history = "")
	private String defineItem23;

	/**
	 * 入库单号
	 */
	//@ORMTemplate(seq = "56", name = "whCode", type = "Column", dataType = "String", initial = "", history = "")
	private String whCode;

	/**
	 * 制造序号
	 */
	//@ORMTemplate(seq = "57", name = "muSeq", type = "Column", dataType = "String", initial = "", history = "")
	private String muSeq;

	/**
	 * 柜号
	 */
	//@ORMTemplate(seq = "58", name = "containerNo", type = "Column", dataType = "String", initial = "", history = "")
	private String containerNo;

	/**
	 * PI号
	 */
	//@ORMTemplate(seq = "59", name = "pINo", type = "Column", dataType = "String", initial = "", history = "")
	private String pINo;

	/**
	 * 工位
	 */
	//@ORMTemplate(seq = "60", name = "station", type = "Column", dataType = "String", initial = "", history = "")
	private String station;

	/**
	 * 钢芯号
	 */
	//@ORMTemplate(seq = "61", name = "steelCoreNo", type = "Column", dataType = "String", initial = "", history = "")
	private String steelCoreNo;

	/**
	 * 长度
	 */
	//@ORMTemplate(seq = "62", name = "length", type = "Column", dataType = "String", initial = "", history = "")
	private String length;

	/**
	 * 电晕
	 */
	//@ORMTemplate(seq = "63", name = "corona", type = "Column", dataType = "String", initial = "", history = "")
	private String corona;

	/**
	 * 厚度
	 */
	//@ORMTemplate(seq = "64", name = "thickness", type = "Column", dataType = "String", initial = "", history = "")
	private String thickness;

	/**
	 * 涂布方式
	 */
	//@ORMTemplate(seq = "65", name = "coating", type = "Column", dataType = "String", initial = "", history = "")
	private String coating;

	/**
	 * 母卷刀数
	 */
	//@ORMTemplate(seq = "66", name = "knifeNum", type = "Column", dataType = "String", initial = "", history = "")
	private String knifeNum;


	/**
	 * 切刀区域
	 */
	//@ORMTemplate(seq = "67", name = "cutArea", type = "Column", dataType = "String", initial = "", history = "")
	private String cutArea;

	/**
	 * 等级
	 */
	//@ORMTemplate(seq = "68", name = "lotGrade", type = "Column", dataType = "String", initial = "", history = "")
	private String lotGrade;

	/**
	 * 温度
	 */
	//@ORMTemplate(seq = "69", name = "temperature", type = "Column", dataType = "String", initial = "", history = "")
	private String temperature;

	/**
	 * 湿度
	 */
	//@ORMTemplate(seq = "70", name = "humiDity", type = "Column", dataType = "String", initial = "", history = "")
	private String humiDity;
	/**
	 * 二维码
	 */
	//@ORMTemplate(seq = "71", name = "qrCode", type = "Column", dataType = "String", initial = "", history = "")
	private String qrCode;

	//@ORMTemplate(seq = "79", name = "assistant", type = "Column", dataType = "String", initial = "", history = "")
	private String assistant;

	//@ORMTemplate(seq = "80", name = "machineSpeed", type = "Column", dataType = "Integer", initial = "", history = "")
	private Integer machineSpeed;

	//@ORMTemplate(seq = "81", name = "tension", type = "Column", dataType = "Integer", initial = "", history = "")
	private Integer tension;

	//@ORMTemplate(seq = "82", name = "taper", type = "Column", dataType = "Integer", initial = "", history = "")
	private Integer taper;

	//@ORMTemplate(seq = "83", name = "pressure", type = "Column", dataType = "Integer", initial = "", history = "")
	private Integer pressure;

	//@ORMTemplate(seq = "84", name = "productRequestName", type = "Column", dataType = "Integer", initial = "", history = "")
	private String productRequestName;

	//@ORMTemplate(seq = "", name = "createTime", type = "Column", dataType = "timestamp", initial = "", history = "")
	private Timestamp createTime;

	//@ORMTemplate( seq = "",name = "createUser", type = "Column", dataType = "String", initial = "", history = "")
	private String createUser;

	//@ORMTemplate(seq = "",name = "lastEventName", type = "Column", dataType = "String", initial = "", history = "EVENTNAME")
	private String lastEventName;

	//@ORMTemplate(seq = "",name = "lastEventTimeKey", type = "Column", dataType = "String", initial = "", history = "TIMEKEY")
	private String lastEventTimeKey;

	//@ORMTemplate(seq = "",name = "lastEventTime", type = "Column", dataType = "timestamp", initial = "", history = "EVENTTIME")
	private Timestamp lastEventTime;

	//@ORMTemplate(seq = "",name = "lastEventUser", type = "Column", dataType = "String", initial = "", history = "EVENTUSER")
	private String lastEventUser;

	//@ORMTemplate(seq = "",name = "lastEventComment", type = "Column", dataType = "String", initial = "", history = "EVENTCOMMENT")
	private String lastEventComment;

	}
