package com.cim.idm.model.po;

import lombok.Data;

import java.sql.Timestamp;

@Data
public class MaterialReceiveRequestDetail {

	private String siteName;
	private String receiveRequestName;
	private String receiveRequestDetailName;
	private String pocategory; // 对应SAP PSTYPE
	private String receiveRequestDetailType;  //对应SAP KNTTP
	private String materialSpecName;
	private String description;
	private double requestQuantity;
	private double receivedQuantity;
	private String erpLocation;
	private String locationName;
	private String erpFactory;
	private String returnFlag;
	private String freeFlag;
	private String forceCompletedFlag;
	private String receiveRequestDetailState;
	private String holdState;
	private String iqcFlag;
	private Timestamp planDate;
	private String createUser;
	private Timestamp createTime;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String innerOrder;//内部订单号20190806
	private String charge;
	private String applicant;
	private String erpPoName;
	private String erpPoDetailName;
	private String innerFlag;
	//众凌定制字段
	private String supplierCharge;
	private String materialUnit;
	private String finishFlag;
	private String costCenter;//成本中心
	private Timestamp orderChangeDate; //订单更改日期
	private String wmsReturnChargeNo; //WMS退货批次号
	private String purchaseRequestNote; //采购申请备注信息
	private String purchaseRequestNo; //采购申请单号
	private String purchaseRequestDetailNo; //采购申请单行号
	private String deleteDetailFlag; //订单行项目删除标识
	private String salesman; // 业务员zzywy
	private String salesAssistant; // 业务助理zzywzl
	private String businessDivision; // 事业部zzsyb
}
