package com.cim.idm.service;

import com.cim.idm.framework.data.EventInfo;
import com.cim.idm.wmsextend.generic.errorHandler.CustomException;
import com.cim.idm.wmspackage.materialpacking.management.data.MaterialPacking;

import java.text.ParseException;
import java.util.List;

/**
 * 成品入库接口类
 * @author ZXYGY17
 *
 */
public interface FGStockInService {

	public void CreateMaterialReceiveRequestAct(EventInfo eventInfo,
			String siteName, String receiveRequestName,
			String ReceiveRequestDetailName, String makeDate,
			String receiveActNo, String actType, String receiveQuantity,
			String subMaterialSpecName) throws CustomException, ParseException;

	/**
	 * 手动入库，非自动入库包含转库和自动入库
	 * @param boxList
	 * @param user
	 * @param receiveRequestActNo
	 * @param commitDate
	 * @param opCode
	 */
	void fgStockInByManul(List<MaterialPacking> boxList, String user, String receiveRequestActNo, String commitDate, String opCode) throws Exception;
}
