package com.cim.idm.service;


import java.util.List;
import java.util.Map;

public interface IProduceReturnService {

    /**
     * 获取物料主数据
     * @param materialPackingName 码
     * @return 物料数据
     */
    List<Map<String,Object>> getMaterialPacking(String materialPackingName, String erpLocation, String erpFactory, String locationName);

    /**
     * 获取 mes-ship 表
     * @param materialPackingName 码
     * @return mes-ship
     */
    List<Map<String,Object>>  getMesShip(String materialPackingName);
}
