package com.cim.idm.service.Impl;

import com.cim.idm.dao.ProduceReturnDao;
import com.cim.idm.service.IProduceReturnService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class ProduceReturnServiceImpl implements IProduceReturnService {

    @Resource
    private ProduceReturnDao produceReturnDao;

    @Override
    public List<Map<String, Object>> getMaterialPacking(String materialPackingName, String erpLocation, String erpFactory, String locationName) {
        return produceReturnDao.getMaterialPacking(materialPackingName, erpLocation, erpFactory, locationName);
    }

    @Override
    public List<Map<String, Object>> getMesShip(String materialPackingName) {
        return produceReturnDao.getMesShip(materialPackingName);
    }
}
