package com.cim.idm.service;


import com.cim.idm.exception.GlobalException;
import com.cim.idm.model.MaterialPacking;

import java.util.List;

public interface TransferInService {

	/**
	 * 调拨入库绑定条码
	 * @param materialPackingName
	 * @return
	 */
	public boolean BindBarCodeToTransferIn (String materialPackingName,String charge,String materialspecName,String user,
			String shipRequestName,String shipRequestDetailName,String locationName) throws Exception;
	


	boolean CommitTransfer(List<MaterialPacking> boxList, String user, String erpFactory,
						   String erpLocation, String locationName, String commitDate, String opCode) throws Exception;

	/**
	 * 调拨入库绑定条码  无单据 有组织 仓库 货位 
	 */
	boolean BindBarCodeToTransfer(String receiveRequestName, String receiveRequestDetailName,
			String materialPackingName, String charge, String materialspecName, String user, String shipRequestName,
			String shipRequestDetailName, String locationName, String erpLocation, String erpFactory)
			throws GlobalException;

}
