/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.mwmsextend.transport.management.action;

import org.springframework.stereotype.Component;

import com.cim.idm.mwmsextend.transport.management.data.TransportCommandDetail;
import com.cim.idm.mwmsextend.transport.management.data.TransportCommandDetailHistory;
import com.cim.idm.mwmsextend.transport.management.data.TransportCommandDetailKey;
import com.cim.idm.mwmsextend.transport.management.info.SetDetailEventInfo;
import com.cim.idm.wmspackage.action.CommonAction;

/**
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mwmsextend.transport.management.action <br>
 *  NAME    : SetDetailEventAction.java <br>
 *  TYPE    : JAVA <br>
 *  DESCRIPTION :Set the consumable’s event.
 *
 ****************************************************************************
 */
@Component("TransportCommandDetailSetEventAction")
public class SetDetailEventAction extends CommonAction<TransportCommandDetailKey,TransportCommandDetail,TransportCommandDetailHistory,SetDetailEventInfo>
{

}
